Get information about a specific vehicle.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Vehicles under the Vehicles category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/fleet/vehicles/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "112",
"attributes": [
{
"dateValues": [
"<string>"
],
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "License Certifications",
"numberValues": [
123
],
"stringValues": [
"<string>"
]
}
],
"auxInputType1": "boom",
"auxInputType10": "boom",
"auxInputType11": "boom",
"auxInputType12": "boom",
"auxInputType13": "boom",
"auxInputType2": "boom",
"auxInputType3": "boom",
"auxInputType4": "boom",
"auxInputType5": "boom",
"auxInputType6": "boom",
"auxInputType7": "boom",
"auxInputType8": "boom",
"auxInputType9": "boom",
"cameraSerial": "CNCK-VT8-XA8",
"esn": "11223344",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"gateway": {
"model": "VG34",
"serial": "ABCD-123-XYZ"
},
"grossVehicleWeight": {
"unit": "lb",
"weight": 1000
},
"harshAccelerationSettingType": "off",
"licensePlate": "XHK1234",
"make": "Ford",
"model": "F150",
"name": "Truck A7",
"notes": "These are notes about this given vehicle.",
"sensorConfiguration": {
"areas": [
{
"cargoSensors": [
{
"id": "<string>",
"mac": "<string>",
"name": "<string>"
}
],
"humiditySensors": [
{
"id": "<string>",
"mac": "<string>",
"name": "<string>"
}
],
"position": "",
"temperatureSensors": [
{
"id": "<string>",
"mac": "<string>",
"name": "<string>"
}
]
}
],
"doors": [
{
"position": "",
"sensor": {
"id": "<string>",
"mac": "<string>",
"name": "<string>"
}
}
]
},
"serial": "VG12345",
"staticAssignedDriver": {
"id": "88668",
"name": "Susan Bob"
},
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
],
"vehicleRegulationMode": "regulated",
"vehicleType": "truck",
"vin": "1FUJA6BD31LJ09646",
"year": "2008"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the vehicle. This can either be the Samsara-specified ID, or an external ID. External IDs are customer specified key-value pairs created in the POST or PATCH requests of this resource, or automatically populated by fields on the vehicle. To specify an external ID as part of a path parameter, use the following format: key:value. For example, maintenanceId:250020. Automatically populated external IDs are prefixed with samsara.. For example, samsara.vin:1HGBH41JXMN109186.
Returns the specified vehicle object.
A single vehicle.
The vehicle object.
Show child attributes
curl --request GET \
--url https://api.samsara.com/fleet/vehicles/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "112",
"attributes": [
{
"dateValues": [
"<string>"
],
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "License Certifications",
"numberValues": [
123
],
"stringValues": [
"<string>"
]
}
],
"auxInputType1": "boom",
"auxInputType10": "boom",
"auxInputType11": "boom",
"auxInputType12": "boom",
"auxInputType13": "boom",
"auxInputType2": "boom",
"auxInputType3": "boom",
"auxInputType4": "boom",
"auxInputType5": "boom",
"auxInputType6": "boom",
"auxInputType7": "boom",
"auxInputType8": "boom",
"auxInputType9": "boom",
"cameraSerial": "CNCK-VT8-XA8",
"esn": "11223344",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"gateway": {
"model": "VG34",
"serial": "ABCD-123-XYZ"
},
"grossVehicleWeight": {
"unit": "lb",
"weight": 1000
},
"harshAccelerationSettingType": "off",
"licensePlate": "XHK1234",
"make": "Ford",
"model": "F150",
"name": "Truck A7",
"notes": "These are notes about this given vehicle.",
"sensorConfiguration": {
"areas": [
{
"cargoSensors": [
{
"id": "<string>",
"mac": "<string>",
"name": "<string>"
}
],
"humiditySensors": [
{
"id": "<string>",
"mac": "<string>",
"name": "<string>"
}
],
"position": "",
"temperatureSensors": [
{
"id": "<string>",
"mac": "<string>",
"name": "<string>"
}
]
}
],
"doors": [
{
"position": "",
"sensor": {
"id": "<string>",
"mac": "<string>",
"name": "<string>"
}
}
]
},
"serial": "VG12345",
"staticAssignedDriver": {
"id": "88668",
"name": "Susan Bob"
},
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
],
"vehicleRegulationMode": "regulated",
"vehicleType": "truck",
"vin": "1FUJA6BD31LJ09646",
"year": "2008"
}
}